Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Query parameters for listing documents

containerTags
string[]
deprecated

Optional tags this document should be containerized by. This can be an ID for your user, a project ID, or any other identifier you wish to use to group documents.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
filters
object

Optional filters to apply to the search. Can be a JSON string or Query object.

includeContent
boolean
default:false

Whether to include the content field in the response. Warning: This can make responses significantly larger.

Example:

false

cursor
string

Opaque cursor from a previous response's pagination.nextCursor. When present, page is ignored and results continue after the last item of the previous page. Filters, sort, order and limit must match the request that produced the cursor.

Required string length: 1 - 2048
limit

Number of items per page

Pattern: ^\d+$
Example:

"10"

order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

page

Page number to fetch

Pattern: ^\d+$
Example:

"1"

sort
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
updatedAt
Example:

"createdAt"

filepath
string

Filter documents by filepath. Exact match for full paths, prefix match if ending with /

Response

Successfully retrieved documents

List of documents

memories
object[]
required
pagination
object
required